## org.eclipse.emf.cdo.common.revision
Interface CDORevisionData

All Known Subinterfaces:
  InternalCDORevision

All Known Implementing Classes:
  AbstractCDORevision

    public interface CDORevisionData

Method Summary
`boolean` `contains(org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)`
`java.lang.Object` `get(org.eclipse.emf.ecore.EStructuralFeature feature, int index)`
`java.lang.Object` `getContainerID()`
`int` `getContainingFeatureID()`
`CDOID` `getResourceID()`
`int` `hashCode(org.eclipse.emf.ecore.EStructuralFeature feature)`
`int` `indexOf(org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)`
`boolean` `isEmpty(org.eclipse.emf.ecore.EStructuralFeature feature)`
`int` `lastIndexOf(org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)`
`CDORevision` `revision()`
`int` `size(org.eclipse.emf.ecore.EStructuralFeature feature)`
`java.lang.Object[]` `toArray(org.eclipse.emf.ecore.EStructuralFeature feature)`

`

`<T> T[]`

`

`toArray(org.eclipse.emf.ecore.EStructuralFeature feature, T[] array)`

Method Detail

### revision

    CDORevision revision()

  Since:
    2.0

### getResourceID

    CDOID getResourceID()

### getContainerID

    java.lang.Object getContainerID()

  Since:
    2.0

### getContainingFeatureID

    int getContainingFeatureID()

### get

    java.lang.Object get(org.eclipse.emf.ecore.EStructuralFeature feature,
                         int index)

  Since:
    2.0

### size

    int size(org.eclipse.emf.ecore.EStructuralFeature feature)

  Since:
    2.0

### isEmpty

    boolean isEmpty(org.eclipse.emf.ecore.EStructuralFeature feature)

  Since:
    2.0

### contains

    boolean contains(org.eclipse.emf.ecore.EStructuralFeature feature,
                     java.lang.Object value)

  Since:
    2.0

### indexOf

    int indexOf(org.eclipse.emf.ecore.EStructuralFeature feature,
                java.lang.Object value)

  Since:
    2.0

### lastIndexOf

    int lastIndexOf(org.eclipse.emf.ecore.EStructuralFeature feature,
                    java.lang.Object value)

  Since:
    2.0

### toArray

    <T> T[] toArray(org.eclipse.emf.ecore.EStructuralFeature feature,
                    T[] array)

  Since:
    2.0

### toArray

    java.lang.Object[] toArray(org.eclipse.emf.ecore.EStructuralFeature feature)

  Since:
    2.0

### hashCode

    int hashCode(org.eclipse.emf.ecore.EStructuralFeature feature)

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.